Digilocker 2.0 Pull Document V2
Introduction
The Pull Document V2 API is designed to empower individuals, organizations, and developers with the ability to seamlessly access and retrieve documents available through the Digilocker ecosystem. It works by getting the data from the issuer and adding it to the customer's Digilocker account, while also sending it back in the API response. Refer to Get List of Document API for all possible documents that you can retrieve along with their search parameters.
API details
Endpoint
POST https://api.signzy.app/api/v3/digilocker-v2/pullDocumentsV2POST https://api-preproduction.signzy.app/api/v3/digilocker-v2/pullDocumentsV2Request headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameter
Parameter | Data Type | Description | Required |
|---|---|---|---|
requestId | String | Unique ID allocated after the authorization in digilocker iframe. This is returned as “requestId” in Create URL API. | Mandatory |
docType | String | The type of document. Refer to Get list of Document API for all possible inputs. | Mandatory |
orgid | String | The ID of the organization that issued the document. Refer to Get list of Document API for orgid of each DocType. | Mandatory |
consent | String | Indicates whether consent is given to pull the document ("Y" for Yes, "N" for No). | Mandatory |
searchParameters | Object | Contains the required Parameters for the specific Document. Refer to Get list of Document API. | Mandatory |
<parameter> | String | Each DocType has different Parameters. Refer to Get List of Document API for all necessary parameters of each doctype. | Mandatory |
getBase64Files | Boolean | To get base64 encoded string instead of persist URL. | Optional |
getEAadhaarPdf | Boolean | To get getEAadhaar pdf | Optional |
{
"requestId": "6523d076a92cfa002cbb559c",
"docType": "PANCR",
"orgid": "001891",
"consent": "Y",
"searchParameters": {
"<Parameter>": "<Parameter Value>"
}
}Code samples
package main
import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api-preproduction.signzy.app/api/v3/digilocker-v2/pullDocumentsV2"
method := "POST"
payload := strings.NewReader(`{
"requestId": "6523eb5fdd640e15b002e0b6",
"docType": "PANCR",
"orgid": "001891",
"consent": "Y",
"getEAadhaarPdf": true,
"searchParameters": {
"panno": "XXXXX0000X",
"PANFullName": "Name"
}
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "<Your Access Token>")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := ioutil.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | Contains the result of the task. |
result.pdf | String | URL to download the document in PDF format. |
result.xml | String | URL to download the document in XML format. |
result.fieId | String | Unique ID that contains the issuer ID, DocType, and the unique Identification number of the specific document. (For example: in.gov.transport-DRVLC-Driving License number of the individual) |
{
"error": {
"name": "error",
"status": 403,
"reason": "insufficient_scope",
"type": "insufficient_scope",
"statusCode": 403
}
}Note
You can fetch any document and certificate listed in the Get list of documents API using this.
For example, if you want to fetch class Xth certificate of CBSE you need to pass below info with request ID: { "requestId": "6523d076a92cfa002cbb559c",
"docType": "PANCR",
"orgid": "001891",
"consent": "Y",
"getEAadhaarPdf": true,
"searchParameters": [ { "rollno": "672364897",
"year": "2025" }, ] },
Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!